Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit
Class TextUtilities

    java.lang.Object
      org.gjt.sp.jedit.TextUtilities

public class TextUtilities
extends java.lang.Object

Contains several text manipulation methods.

- Bracket matching
- Word start and end offset calculation
- String comparison
- Converting tabs to spaces and vice versa
- Wrapping text
- String case conversion

Version:
  $Id: TextUtilities.java,v 1.47 2004/03/28 00:07:26 spestov Exp $
Author:
  Slava Pestov

Field Summary
`static int` | `BRACKET_MATCH_LIMIT`
`static int` | `LOWER_CASE`
`static int` | `MIXED`
`static int` | `TITLE_CASE`
`static int` | `UPPER_CASE`

Constructor Summary
`TextUtilities()`

Method Summary
`static int` | `findMatchingBracket(Buffer buffer, int line, int offset)` Returns the offset of the bracket matching the one at the specified offset of the buffer, or -1 if the bracket is unmatched (or if the character is not a bracket).
`static int` | `findWordEnd(java.lang.String line, int pos, java.lang.String noWordSep)` Locates the end of the word at the specified position.
`static int` | `findWordEnd(java.lang.String line, int pos, java.lang.String noWordSep, boolean joinNonWordChars)` Locates the end of the word at the specified position.
`static int` | `findWordEnd(java.lang.String line, int pos, java.lang.String noWordSep, boolean joinNonWordChars, boolean eatWhitespace)` Locates the end of the word at the specified position.
`static int` | `findWordStart(java.lang.String line, int pos, java.lang.String noWordSep)` Locates the start of the word at the specified position.
`static int` | `findWordStart(java.lang.String line, int pos, java.lang.String noWordSep, boolean joinNonWordChars)` Locates the start of the word at the specified position.
`static int` | `findWordStart(java.lang.String line, int pos, java.lang.String noWordSep, boolean joinNonWordChars, boolean eatWhitespace)` Locates the start of the word at the specified position.
`static java.lang.String` | `format(java.lang.String text, int maxLineLength, int tabSize)` Formats the specified text by merging and breaking lines to the specified width.
`static int` | `getStringCase(java.lang.String str)` Returns if the specified string is all upper case, all lower case, or title case (first letter upper case, rest lower case).
`static Token` | `getTokenAtOffset(Token tokens, int offset)` Returns the token that contains the specified offset.
`static java.lang.String` | `spacesToTabs(java.lang.String in, int tabSize)` Converts consecutive spaces to tabs in the specified string.
`static java.lang.String` | `tabsToSpaces(java.lang.String in, int tabSize)` Converts tabs to consecutive spaces in the specified string.
`static java.lang.String` | `toTitleCase(java.lang.String str)` Converts the specified string to title case, by capitalizing the first letter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BRACKET_MATCH_LIMIT

    public static final int BRACKET_MATCH_LIMIT

See Also:
  Constant Field Values

### MIXED

    public static final int MIXED

See Also:
  Constant Field Values

### LOWER_CASE

    public static final int LOWER_CASE

See Also:
  Constant Field Values

### UPPER_CASE

    public static final int UPPER_CASE

See Also:
  Constant Field Values

### TITLE_CASE

    public static final int TITLE_CASE

See Also:
  Constant Field Values

Constructor Detail

### TextUtilities

    public TextUtilities()

Method Detail

### getTokenAtOffset

    public static Token getTokenAtOffset(Token tokens,
                                         int offset)

  Returns the token that contains the specified offset.

  Parameters:
    `tokens` - The token list
    `offset` - The offset
  Since:
    jEdit 4.0pre3

### findMatchingBracket

    public static int findMatchingBracket(Buffer buffer,
                                          int line,
                                          int offset)

  Returns the offset of the bracket matching the one at the specified offset of the buffer, or -1 if the bracket is unmatched (or if the character is not a bracket).

  Parameters:
    `buffer` - The buffer
    `line` - The line
    `offset` - The offset within that line
  Since:
    jEdit 2.6pre1

### findWordStart

    public static int findWordStart(java.lang.String line,
                                    int pos,
                                    java.lang.String noWordSep)

  Locates the start of the word at the specified position.

  Parameters:
    `line` - The text
    `pos` - The position
    `noWordSep` - Characters that are non-alphanumeric, but should be treated as word characters anyway

### findWordStart

    public static int findWordStart(java.lang.String line,
                                    int pos,
                                    java.lang.String noWordSep,
                                    boolean joinNonWordChars)

  Locates the start of the word at the specified position.

  Parameters:
    `line` - The text
    `pos` - The position
    `noWordSep` - Characters that are non-alphanumeric, but should be treated as word characters anyway
    `joinNonWordChars` - Treat consecutive non-alphanumeric characters as one word
  Since:
    jEdit 4.2pre5

### findWordStart

    public static int findWordStart(java.lang.String line,
                                    int pos,
                                    java.lang.String noWordSep,
                                    boolean joinNonWordChars,
                                    boolean eatWhitespace)

  Locates the start of the word at the specified position.

  Parameters:
    `line` - The text
    `pos` - The position
    `noWordSep` - Characters that are non-alphanumeric, but should be treated as word characters anyway
    `joinNonWordChars` - Treat consecutive non-alphanumeric characters as one word
    `eatWhitespace` - Include whitespace at start of word
  Since:
    jEdit 4.1pre2

### findWordEnd

    public static int findWordEnd(java.lang.String line,
                                  int pos,
                                  java.lang.String noWordSep)

  Locates the end of the word at the specified position.

  Parameters:
    `line` - The text
    `pos` - The position
    `noWordSep` - Characters that are non-alphanumeric, but should be treated as word characters anyway

### findWordEnd

    public static int findWordEnd(java.lang.String line,
                                  int pos,
                                  java.lang.String noWordSep,
                                  boolean joinNonWordChars)

  Locates the end of the word at the specified position.

  Parameters:
    `line` - The text
    `pos` - The position
    `noWordSep` - Characters that are non-alphanumeric, but should be treated as word characters anyway
    `joinNonWordChars` - Treat consecutive non-alphanumeric characters as one word
  Since:
    jEdit 4.1pre2

### findWordEnd

    public static int findWordEnd(java.lang.String line,
                                  int pos,
                                  java.lang.String noWordSep,
                                  boolean joinNonWordChars,
                                  boolean eatWhitespace)

  Locates the end of the word at the specified position.

  Parameters:
    `line` - The text
    `pos` - The position
    `noWordSep` - Characters that are non-alphanumeric, but should be treated as word characters anyway
    `joinNonWordChars` - Treat consecutive non-alphanumeric characters as one word
    `eatWhitespace` - Include whitespace at end of word
  Since:
    jEdit 4.2pre5

### spacesToTabs

    public static java.lang.String spacesToTabs(java.lang.String in,
                                                int tabSize)

  Converts consecutive spaces to tabs in the specified string.

  Parameters:
    `in` - The string
    `tabSize` - The tab size

### tabsToSpaces

    public static java.lang.String tabsToSpaces(java.lang.String in,
                                                int tabSize)

  Converts tabs to consecutive spaces in the specified string.

  Parameters:
    `in` - The string
    `tabSize` - The tab size

### format

    public static java.lang.String format(java.lang.String text,
                                          int maxLineLength,
                                          int tabSize)

  Formats the specified text by merging and breaking lines to the specified width.

  Parameters:
    `text` - The text
    `maxLineLength` - The maximum line length
    `tabSize` - The tab size

### getStringCase

    public static int getStringCase(java.lang.String str)

  Returns if the specified string is all upper case, all lower case, or title case (first letter upper case, rest lower case).

  Parameters:
    `str` - The string
  Since:
    jEdit 4.0pre1

### toTitleCase

    public static java.lang.String toTitleCase(java.lang.String str)

  Converts the specified string to title case, by capitalizing the first letter.

  Parameters:
    `str` - The string
  Since:
    jEdit 4.0pre1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD